
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL degrade genhd major names hash to linked list

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/genhd.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/block/genhd.c~base-small-shrink-major_names-hash drivers/block/genhd.c
--- 25/drivers/block/genhd.c~base-small-shrink-major_names-hash	2005-02-02 15:30:54.958588696 -0800
+++ 25-akpm/drivers/block/genhd.c	2005-02-02 15:30:54.964587784 -0800
@@ -15,7 +15,8 @@
 #include <linux/kmod.h>
 #include <linux/kobj_map.h>
 
-#define MAX_PROBE_HASH 255	/* random */
+/* degrade to linked list for small systems */
+#define MAX_PROBE_HASH (CONFIG_BASE_SMALL ? 1 : 255)
 
 static struct subsystem block_subsys;
 
_
